import { loadEnv } from "@build/index";
import { http } from "/@/utils/http";
const { VITE_PROXY_DOMAIN_REAL } = loadEnv();

//物流公司列表
export async function httpPostList(data: object): Promise<DataType<any>> {
  return http.request(`post`, `${VITE_PROXY_DOMAIN_REAL}admin/express`, {
    data
  });
}

//客户公司列表
export async function httpKHList(data: object): Promise<DataType<any>> {
  return http.request(`post`, `${VITE_PROXY_DOMAIN_REAL}admin/infolist`, {
    data
  });
}

//客户公司列表
export async function httpBusinesslist(data: object): Promise<DataType<any>> {
  return http.request(`post`, `${VITE_PROXY_DOMAIN_REAL}admin/businesslist`, {
    data
  });
}

//客户公司列表
export async function httpSupplierlist(data: object): Promise<DataType<any>> {
  return http.request(`post`, `${VITE_PROXY_DOMAIN_REAL}admin/supplierlist`, {
    data
  });
}

//客户公司列表
export async function httpWarelist(data: object): Promise<DataType<any>> {
  return http.request(`post`, `${VITE_PROXY_DOMAIN_REAL}admin/warelist`, {
    data
  });
}

export async function httpGoodstat(data: object): Promise<DataType<any>> {
  return http.request(`post`, `${VITE_PROXY_DOMAIN_REAL}admin/goodstat`, {
    data
  });
}
export async function httpCustomerlist(data: object): Promise<DataType<any>> {
  return http.request(`post`, `${VITE_PROXY_DOMAIN_REAL}admin/infolist`, {
    data
  });
}
